<?xml version="1.0" encoding="ISO-8859-1"?>

<PropertyList>

  <path>hdd.ac</path>

  <animation>
    <object-name>fond</object-name>
    <object-name>texte</object-name>
    <object-name>switch1</object-name>
    <object-name>switch2</object-name>
    <object-name>canvasCadre</object-name>
    <object-name>screenoff</object-name>
    <object-name>knob</object-name>

    <object-name>vitre</object-name>
  </animation>

  <animation>
    <type>noshadow</type>
    <object-name>fond</object-name>
    <object-name>texte</object-name>
    <object-name>canvasCadre</object-name>
    <object-name>screenoff</object-name>
  </animation>

  <!-- working for Compositor -->
  <effect>
    <inherits-from>../../../../Effects/Glass/glass</inherits-from>
    <object-name>vitre</object-name>
  </effect>

  <animation>
    <type>material</type>
    <object-name>texte</object-name>
    <object-name>switch1</object-name>
    <object-name>switch2</object-name>
    <object-name>canvasCadre</object-name>
    <condition>
      <property>/controls/electric/battery-switch</property>
    </condition>
    <emission>
      <factor-prop>/controls/lighting/instruments-norm</factor-prop>
      <red>   0.50 </red>
      <green> 0.40 </green>
      <blue>  0.30 </blue>
    </emission>
  </animation>

  <animation>
    <type>select</type>
    <object-name>screenoff</object-name>
    <condition>
      <not><property>/controls/electric/battery-switch</property></not>
    </condition>
  </animation>

  <model>
    <name>NDScreen</name>
    <path>nd/nd.xml</path>
  </model>

  <animation>
    <type>pick</type>
    <object-name>switch2</object-name>
    <action>
      <button>0</button>
      <repeatable>false</repeatable>
      <binding>
        <command>property-toggle</command>
        <property>instrumentation/primus2000/dc840/mfd-map</property>
      </binding>
    </action>
  </animation>

  <animation>
    <type>rotate</type>
    <object-name>switch2</object-name>
    <property>instrumentation/primus2000/dc840/mfd-map</property>
    <factor>40</factor>
    <center>
      <x-m> 0.02561 </x-m>
      <y-m> 0.01540 </y-m>
      <z-m> 0.06832 </z-m>
    </center>
    <axis>
      <x> 0 </x>
      <y> 1 </y>
      <z> 0 </z>
    </axis>
  </animation>

  <animation>
    <type>select</type>
    <object-name>canvasCadre</object-name>
    <condition>
      <property>instrumentation/primus2000/dc840/mfd-map</property>
    </condition>
  </animation>

  <animation>
    <type>select</type>
    <object-name>NDScreen</object-name>
    <condition>
      <not><property>instrumentation/primus2000/dc840/mfd-map</property></not>
    </condition>
  </animation>

  <animation>
    <type>knob</type>
    <drag-direction>horizontal</drag-direction>
    <object-name>knob</object-name>
    <action>
      <binding>
        <command>property-adjust</command>
        <property>instrumentation/efis/inputs/range-nm</property>
        <factor> 1 </factor>
        <min>0</min>
        <max>300</max>
      </binding>
    </action>
  </animation>

  <animation>
    <type>rotate</type>
    <object-name>knob</object-name>
    <property>instrumentation/efis/inputs/range-nm</property>
    <interpolation>
      <entry><ind>   0 </ind><dep>   0 </dep></entry>
      <entry><ind> 300 </ind><dep> 360 </dep></entry>
    </interpolation>
    <center>
      <x-m>  0.01267 </x-m>
      <y-m>  0.00660 </y-m>
      <z-m> -0.05538 </z-m>
    </center>
    <axis>
      <x> 1 </x>
      <y> 0 </y>
      <z> 0 </z>
    </axis>
  </animation>

</PropertyList>
